package com.xhpc.pp.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * program: ruoyi
 * User: HongYun
 * Date:2021-09-13 15
 */
public class XhpcMessage extends BaseEntity {

    private Long messageId;
    private String chargeOrderNo;
    private String content;
    private Integer status;
    private String code;

    public Long getMessageId() {

        return messageId;
    }

    public void setMessageId(Long messageId) {

        this.messageId = messageId;
    }

    public String getChargeOrderNo() {

        return chargeOrderNo;
    }

    public void setChargeOrderNo(String chargeOrderNo) {

        this.chargeOrderNo = chargeOrderNo;
    }

    public String getContent() {

        return content;
    }

    public void setContent(String content) {

        if (content != null && content.startsWith("68")) {
            this.code = content.substring(10, 12);
        }
        this.content = content;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public String getCode() {

        return code;
    }

    public void setCode(String code) {

        this.code = code;
    }

}
